# soucre/Makefile.in
# ircii 2.3
# all rights reserved
# written by matthew green.
# copyright (c) 1993
# @(#)$Id: Makefile.in,v 1.12 1994/10/08 13:37:56 mrg Stab $

LIBS	= @LIBS@
CC	= @CC@
CFLAGS	= @CFLAGS@
LDFLAGS	= @LDFLAGS@
LEX	= @LEX@
LEXLIB	= @LEXLIB@
DEFS	= @DEFS@
LN	= @LN@
RM	= @RM@

OBJECTS = alias.o crypt.o ctcp.o dcc.o debug.o edit.o exec.o flood.o\
	funny.o help.o history.o hold.o hook.o if.o ignore.o input.o\
	irc.o ircaux.o ircsig.o keys.o lastlog.o list.o log.o mail.o\
	menu.o names.o newio.o notice.o notify.o numbers.o output.o\
	parse.o queue.o reg.o scandir.o screen.o server.o stack.o\
	status.o term.o translat.o vars.o whois.o window.o $(PP_OBJS)

SOURCES = alias.c crypt.c ctcp.c dcc.c debug.o edit.c exec.c flood.c\
	funny.c help.c history.c hold.c hook.c if.c ignore.c input.c\
	irc.c ircaux.c ircsig.c keys.c lastlog.c list.c log.c mail.c\
	menu.c names.c newio.c notice.c notify.c numbers.c output.c\
	parse.c queue.c reg.c scandir.c screen.c server.c stack.c\
	status.c term.c translat.c vars.c whois.c window.c $(PP_SRCS)

IRCSERV_OBJECTS = ircserv.o

IRCSERV_SOURCES = ircserv.c

WSERV_OBJECTS = wserv.o wterm.o

WSERV_SOURCES = wserv.c term.c

INCLUDES = -I../include

default:
	(cd ..;make)

all: irc

# got I hate typos.
clena: clean

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -c $<

irc: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) -o irc $(OBJECTS) $(LIBS)
clean::
	$(RM) irc $(OBJECTS)

install: irc
	cd ..; $(MAKE) install

# .o files needing special compilation flags

irc.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -DIRCLIB=\"$(IRCLIB)/\" -DIRCPATH=\"$(IRCPATH)\" -c irc.c

vars.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -DDEFAULT_HELP_PATH=\"$(HELP_DIR)\" -c vars.c

help.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -DDEFAULT_HELP_PATH=\"$(HELP_DIR)\" -c help.c

server.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -DIRCSERV_PATH=\"$(INSTALL_IRCSERV)\" -c server.c

translat.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -DTRANSLATION_PATH=\"$(TRANS_DIR)/\" -c translat.c

screen.o: Makefile ../Makefile
	$(CC) $(CFLAGS) $(DEFS) $(PP_DEFS) $(INCLUDES) -DWSERV_PATH=\"$(INSTALL_WSERV)\" -c screen.c

# .h files generated from .proto files

count: count.c
	$(CC) $(LDFLAGS) -o count -O count.c $(LEXLIB)

count.c: count.l
	rm -f count.c
	$(LEX) count.l
	mv -f lex.yy.c count.c

clean::
	$(RM) count count.c lex.yy.c

../include/vars.h: ../include/vars.h.proto count
	-$(RM) $@
	./count < $@.proto > $@
../include/hook.h: ../include/hook.h.proto count
	-$(RM) $@
	./count < $@.proto > $@
../include/keys.h: ../include/keys.h.proto count
	-$(RM) $@
	./count < $@.proto > $@
clean::
	$(RM) ../include/vars.h ../include/hook.h ../include/keys.h

# auxiliary programs

ircflush: ircflush.o ircsig.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) $(INCLUDES) -o ircflush ircflush.o ircsig.o $(LIBS)
clean::
	$(RM) ircflush ircflush.o

ircserv: ircserv.o newio.o ircsig.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) $(PPS_DEFS) $(INCLUDES) -o ircserv ircserv.o newio.o ircsig.o $(LIBS)
clean::
	$(RM) ircserv ircserv.o newio.o

wserv: $(WSERV_OBJECTS) ircsig.o
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEFS) $(INCLUDES) -o wserv $(WSERV_OBJECTS) ircsig.o $(LIBS)
clean::
	$(RM) wserv wserv.o wterm.o wterm.c

# extra junk

clean::
	$(RM) core a.out debug.log


# dependencies

alias.o: alias.c ../include/irc.h ../include/config.h ../include/alias.h\
	../include/status.h ../include/edit.h ../include/history.h\
	../include/vars.h ../include/ircaux.h ../include/server.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/input.h ../include/names.h ../include/server.h\
	../include/screen.h ../include/irc_std.h
crypt.o: crypt.c ../include/irc.h ../include/crypt.h ../include/vars.h\
	../include/ircaux.h ../include/list.h ../include/ctcp.h\
	../include/output.h ../include/irc_std.h
count.o: count.c crypt.c ../include/irc.h ../include/config.h\
	../include/crypt.h ../include/vars.h ../include/ircaux.h\
	../include/list.h ../include/ctcp.h ../include/irc_std.h
ctcp.o: ctcp.c ../include/irc.h ../include/config.h ../include/ircaux.h\
	../include/hook.h ../include/crypt.h ../include/ctcp.h\
	../include/vars.h ../include/server.h ../include/status.h\
	../include/lastlog.h ../include/irc_std.h
dcc.o: dcc.c ../include/talkd.h ../include/irc.h ../include/config.h\
	../include/server.h ../include/ircaux.h ../include/whois.h\
	../include/lastlog.h ../include/ctcp.h ../include/dcc.h\
	../include/hook.h ../include/vars.h ../include/irc_std.h
edit.o: edit.c ../include/irc.h ../include/config.h ../include/term.h\
	../include/server.h ../include/edit.h ../include/crypt.h\
	../include/vars.h ../include/ircaux.h ../include/lastlog.h\
	../include/window.h ../include/hold.h ../include/whois.h\
	../include/hook.h ../include/input.h ../include/ignore.h\
	../include/keys.h ../include/names.h ../include/alias.h\
	../include/history.h ../include/funny.h ../include/ctcp.h\
	../include/dcc.h ../include/translat.h ../include/screen.h\
	../include/irc_std.h
exec.o: exec.c ../include/irc.h ../include/config.h ../include/exec.h\
	../include/vars.h ../include/ircaux.h ../include/edit.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/hook.h ../include/input.h ../include/server.h\
	../include/screen.h ../include/irc_std.h
file.o: file.c ../include/irc.h ../include/config.h ../include/irc_std.h
flood.o: flood.c ../include/irc.h ../include/config.h ../include/hook.h\
	../include/ircaux.h ../include/ignore.h ../include/flood.h\
	../include/vars.h ../include/irc_std.h
funny.o: funny.c ../include/irc.h ../include/config.h ../include/ircaux.h\
	../include/hook.h ../include/vars.h ../include/funny.h\
	../include/names.h ../include/server.h ../include/lastlog.h\
	../include/parse.h ../include/irc_std.h
help.o: help.c ../include/irc.h ../include/config.h ../include/term.h\
	../include/server.h ../include/vars.h ../include/ircaux.h\
	../include/input.h ../include/window.h ../include/hold.h\
	../include/lastlog.h ../include/screen.h ../include/irc_std.h
history.o: history.c ../include/irc.h ../include/config.h ../include/ircaux.h\
	../include/vars.h ../include/history.h ../include/irc_std.h
hold.o: hold.c ../include/irc.h ../include/config.h ../include/window.h\
	../include/hold.h ../include/lastlog.h ../include/vars.h\
	../include/input.h ../include/screen.h ../include/irc_std.h
hook.o: hook.c ../include/irc.h ../include/config.h ../include/hook.h\
	../include/vars.h ../include/ircaux.h ../include/alias.h\
	../include/list.h ../include/window.h ../include/hold.h\
	../include/lastlog.h ../include/server.h ../include/irc_std.h
if.o: if.c ../include/irc.h ../include/config.h ../include/alias.h\
	../include/ircaux.h ../include/window.h ../include/hold.h\
	../include/lastlog.h ../include/vars.h ../include/irc_std.h
ignore.o: ignore.c ../include/irc.h ../include/config.h ../include/ignore.h\
	../include/ircaux.h ../include/list.h ../include/vars.h\
	../include/irc_std.h
input.o: input.c ../include/irc.h ../include/config.h ../include/input.h\
	../include/term.h ../include/alias.h ../include/vars.h\
	../include/ircaux.h ../include/screen.h ../include/irc_std.h
irc.o: irc.c ../include/irc.h ../include/config.h ../include/status.h\
	../include/vars.h ../include/input.h ../include/alias.h\
	../include/output.h ../include/term.h ../include/exec.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/server.h ../include/hook.h ../include/keys.h\
	../include/ircaux.h ../include/window.h ../include/screen.h\
	../include/irc_std.h
ircaux.o: ircaux.c ../include/irc.h ../include/config.h ../include/ircaux.h\
	../include/irc_std.h ../include/term.h
ircflush.o: ircflush.c ../include/irc.h ../include/config.h Makefile
ircsig.o: ircsig.c ../include/irc.h ../include/config.h ../include/irc_std.h
ircserv.o: ircserv.c Makefile
keys.o: keys.c ../include/irc.h ../include/config.h ../include/keys.h\
	../include/names.h ../include/ircaux.h ../include/window.h\
	../include/hold.h ../include/lastlog.h ../include/output.h\
	../include/irc_std.h
lastlog.o: lastlog.c ../include/irc.h ../include/config.h\
	../include/lastlog.h ../include/window.h ../include/hold.h\
	../include/vars.h ../include/ircaux.h ../include/screen.h\
	../include/irc_std.h
list.o: list.c ../include/irc.h ../include/config.h ../include/list.h\
	../include/ircaux.h ../include/irc_std.h
log.o: log.c ../include/irc.h ../include/config.h ../include/log.h\
	../include/vars.h ../include/ircaux.h ../include/irc_std.h
mail.o: mail.c ../include/irc.h ../include/config.h ../include/mail.h\
	../include/hook.h ../include/vars.h ../include/irc_std.h\
	../include/window.h
menu.o: menu.c ../include/irc.h ../include/config.h ../include/menu.h\
	../include/list.h ../include/ircaux.h ../include/term.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/input.h ../include/vars.h ../include/screen.h\
	../include/irc_std.h
names.o: names.c ../include/irc.h ../include/config.h ../include/ircaux.h\
	../include/names.h ../include/window.h ../include/hold.h\
	../include/lastlog.h ../include/server.h ../include/list.h\
	../include/screen.h ../include/irc_std.h
newio.o: newio.c ../include/irc_std.h
notice.o: notice.c ../include/irc.h ../include/config.h ../include/whois.h\
	../include/ctcp.h ../include/lastlog.h ../include/flood.h\
	../include/vars.h ../include/ircaux.h ../include/hook.h\
	../include/ignore.h ../include/server.h ../include/parse.h\
	../include/irc_std.h ../include/notify.h
notify.o: notify.c ../include/irc.h ../include/config.h ../include/list.h\
	../include/notify.h ../include/ircaux.h ../include/whois.h\
	../include/hook.h ../include/server.h ../include/irc_std.h\
	../include/vars.h
numbers.o: numbers.c ../include/irc.h ../include/config.h ../include/input.h\
	../include/ircaux.h ../include/vars.h ../include/lastlog.h\
	../include/hook.h ../include/server.h ../include/whois.h\
	../include/numbers.h ../include/window.h ../include/parse.h\
	../include/irc_std.h
output.o: output.c ../include/irc.h ../include/config.h ../include/output.h\
	../include/vars.h ../include/input.h ../include/term.h\
	../include/lastlog.h ../include/window.h ../include/hold.h\
	../include/hook.h ../include/ctcp.h ../include/irc_std.h
parse.o: parse.c ../include/irc.h ../include/config.h ../include/server.h\
	../include/names.h ../include/vars.h ../include/ctcp.h\
	../include/hook.h ../include/edit.h ../include/ignore.h\
	../include/whois.h ../include/lastlog.h ../include/ircaux.h\
	../include/crypt.h ../include/term.h ../include/flood.h\
	../include/parse.h ../include/irc_std.h ../include/notify.h
queue.o: queue.c ../include/irc.h ../include/config.h ../include/alias.h\
	../include/ircaux.h ../include/debug.h ../include/irc_std.h\
	../include/output.h ../include/edit.h
reg.o: reg.c ../include/irc.h ../include/config.h ../include/ircaux.h\
	../include/irc_std.h
scandir.o: scandir.c ../include/irc.h ../include/config.h ../include/irc_std.h
screen.o: screen.c ../include/irc.h ../include/config.h ../include/menu.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/vars.h ../include/server.h ../include/list.h\
	../include/term.h ../include/names.h ../include/ircaux.h\
	../include/input.h ../include/log.h ../include/hook.h\
	../include/dcc.h ../include/translat.h ../include/screen.h\
	../include/irc_std.h
server.o: server.c ../include/irc.h ../include/config.h ../include/server.h\
	../include/ircaux.h ../include/whois.h ../include/lastlog.h\
	../include/window.h ../include/irc_std.h
stack.o: stack.c ../include/irc.h ../include/stack.h ../include/window.h\
	../include/hook.h ../include/ircaux.h ../include/output.h\
	../include/irc_std.h ../include/config.h ../include/list.h
status.o: status.c ../include/irc.h ../include/config.h ../include/term.h\
	../include/status.h ../include/server.h ../include/vars.h\
	../include/hook.h ../include/input.h ../include/edit.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/mail.h ../include/names.h ../include/ircaux.h\
	../include/screen.h ../include/irc_std.h
term.o: term.c ../include/irc.h ../include/config.h ../include/term.h\
	../include/translat.h ../include/irc_std.h
translat.o: translat.c ../include/irc.h ../include/config.h ../include/vars.h\
	../include/translat.h ../include/ircaux.h digraph.inc\
	../include/screen.h ../include/irc_std.h
vars.o: vars.c ../include/irc.h ../include/config.h ../include/status.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/log.h ../include/crypt.h ../include/history.h\
	../include/vars.h ../include/input.h ../include/ircaux.h\
	../include/whois.h ../include/translat.h ../include/irc_std.h\
	../include/notify.h
whois.o: whois.c ../include/irc.h ../include/config.h ../include/whois.h\
	../include/hook.h ../include/lastlog.h ../include/vars.h\
	../include/server.h ../include/ignore.h ../include/ircaux.h\
	../include/notify.h ../include/numbers.h ../include/parse.h\
	../include/irc_std.h ../include/ctcp.h
window.o: window.c ../include/irc.h ../include/config.h ../include/menu.h\
	../include/window.h ../include/hold.h ../include/lastlog.h\
	../include/vars.h ../include/server.h ../include/list.h\
	../include/term.h ../include/names.h ../include/ircaux.h\
	../include/input.h ../include/log.h ../include/hook.h\
	../include/dcc.h ../include/translat.h ../include/screen.h\
	../include/irc_std.h
wserv.o: ../include/config.h ../include/irc_std.h
wterm.o: term.c ../include/config.h ../include/irc.h ../include/term.h\
	../include/irc_std.h
	$(RM) wterm.c
	$(LN) term.c wterm.c
	$(CC) $(CFLAGS) $(DEFS) $(INCLUDES) -DSTTY_ONLY -c wterm.c
